Package org.apache.wiki.spi

# Class ContextSPIDefaultImpl

java.lang.Object
org.apache.wiki.spi.ContextSPIDefaultImpl

All Implemented Interfaces:
  `org.apache.wiki.api.spi.ContextSPI`

public class ContextSPIDefaultImpl extends Object implements org.apache.wiki.api.spi.ContextSPI
Default implementation for `ContextSPI`

See Also:
  - `ContextSPI`

## Constructor Summary

Constructors
Constructor
Description
`ContextSPIDefaultImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.wiki.api.core.Context`
`create(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request, String requestContext)`
`org.apache.wiki.api.core.Context`
`create(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request, org.apache.wiki.api.core.Command command)`
`org.apache.wiki.api.core.Context`
`create(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request, org.apache.wiki.api.core.Page page)`
`org.apache.wiki.api.core.Context`
`create(org.apache.wiki.api.core.Engine engine, org.apache.wiki.api.core.Page page)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextSPIDefaultImpl

public ContextSPIDefaultImpl()

## Method Details

### create

public org.apache.wiki.api.core.Context create(org.apache.wiki.api.core.Engine engine, org.apache.wiki.api.core.Page page)

Specified by:
  `create` in interface `org.apache.wiki.api.spi.ContextSPI`

### create

public org.apache.wiki.api.core.Context create(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request, org.apache.wiki.api.core.Command command)

Specified by:
  `create` in interface `org.apache.wiki.api.spi.ContextSPI`

### create

public org.apache.wiki.api.core.Context create(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request, org.apache.wiki.api.core.Page page)

Specified by:
  `create` in interface `org.apache.wiki.api.spi.ContextSPI`

### create

public org.apache.wiki.api.core.Context create(org.apache.wiki.api.core.Engine engine, jakarta.servlet.http.HttpServletRequest request, String requestContext)

Specified by:
  `create` in interface `org.apache.wiki.api.spi.ContextSPI`